import java.awt.event.*;
import java.awt.Window;

//This class is good example of the use of extending a class
//The window adapter class was created to handle all the basic
//windows operations (i.e. closing, getfocus

public class BasicWindowMonitor extends WindowAdapter
{
	public void windowClosing(WindowEvent e)
	{
		Window w = e.getWindow();
		w.setVisible(false);
		w.dispose();
		System.exit(0);
	}
}